using Microsoft.UI.Xaml.Controls;

namespace TestProject;

/// <summary>
///  
/// </summary>
public sealed partial class MainPage : Page
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region  - MainPage()

    /// <summary>
    /// 
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        this.listView.ContainerContentChanging += listView_ContainerContentChanging;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region Ʈ  ̳ Ʈ  óϱ - listView_ContainerContentChanging(sender, e)

    /// <summary>
    /// Ʈ  ̳ Ʈ  óϱ
    /// </summary>
    /// <param name="sender">̺Ʈ ߻</param>
    /// <param name="e">̺Ʈ </param>
    private void listView_ContainerContentChanging(ListViewBase sender, ContainerContentChangingEventArgs e)
    {
        if(e.ItemContainer is ListViewItem listViewItem)
        {
            listViewItem.FocusEngaged += listViewItem_FocusEngaged;
        }
    }

    #endregion
    #region Ʈ  ׸ Ŀ  óϱ - listViewItem_FocusEngaged(sender, e)

    /// <summary>
    /// Ʈ  ׸ Ŀ  óϱ
    /// </summary>
    /// <param name="sender">̺Ʈ ߻</param>
    /// <param name="e">̺Ʈ </param>
    private void listViewItem_FocusEngaged(Control sender, FocusEngagedEventArgs e)
    {
        if(sender is ListViewItem listViewItem)
        {
            string text = listViewItem.Content?.ToString() ?? "";

            this.listView.Header = text;
        }

        e.Handled = true;
    }

    #endregion
}